diff --git a/rigs/icom/icom.c b/rigs/icom/icom.c
index 4c0f8dc15..5799704b6 100644
--- a/rigs/icom/icom.c
+++ b/rigs/icom/icom.c
@@ -1729,7 +1729,7 @@ int icom_get_freq(RIG *rig, vfo_t vfo, freq_t *freq)
      */
     *freq = from_bcd(freqbuf + freqbuf_offset, freq_len * 2);
 
-    if (freq_len == 3) { *freq *= 100; } // 3-byte freq for ID5100 is in 100Hz units so convert to Hz
+    if (freq_len == 3) { *freq *= 10000; } // 3-byte freq for ID5100 is in 10000Hz units so convert to Hz
 
     if (vfo == RIG_VFO_MEM && civ_731_mode) { priv->civ_731_mode = 1; }
 
